
Smart Proxy - Refactor #2677

Remove the workaround for wildcard/default http 'accept' header handling

06/18/2013 07:08 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version: 1.18.0   

Difficulty:  Fixed in Releases: 1.18.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/573

  

Description

Remove a workaround used to fix http://projects.theforeman.org/issues/2673 if/when https://github.com/sinatra/sinatra/pull/726 gets

accepted.

Related issues:

Related to Smart Proxy - Bug #2673: Proxy tests failing with Sinatra 1.4.3 Closed 06/18/2013

Associated revisions

Revision 33ed4a25 - 04/06/2018 07:51 PM - Dmitri Dolguikh 

Fixes #2677 - Removed sinatra workaround for "accept" headers

History

#1 - 06/18/2013 07:22 AM - Dominic Cleal

- Tracker changed from Support to Refactor

#2 - 06/19/2013 12:24 PM - Dominic Cleal

- Category set to Packaging

- Target version set to 1.3.0

#3 - 09/18/2013 10:32 AM - Dominic Cleal

- Target version deleted (1.3.0)

#4 - 04/06/2018 08:41 AM - Ewoud Kohl van Wijngaarden

Is this still relevant? The mentioned PR has been merged a long time ago.

#5 - 04/06/2018 07:28 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/573 added

#6 - 04/06/2018 07:52 PM - Timo Goebel

- translation missing: en.field_release set to 330

#7 - 04/06/2018 08:02 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 33ed4a253d905176290a98c99044c0fd19ac5046.

#8 - 07/11/2018 03:31 PM - Anonymous
http://projects.theforeman.org/issues/2673
https://github.com/sinatra/sinatra/pull/726
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/33ed4a253d905176290a98c99044c0fd19ac5046


- Target version deleted (1.18.0)

#9 - 08/29/2018 12:41 PM - Ewoud Kohl van Wijngaarden

- Target version changed from 546 to 1.18.0

- Triaged set to No

- Fixed in Releases 1.18.0 added
